---
sidebar_label: Puppeteer.unregisterCustomQueryHandler
---

# Puppeteer.unregisterCustomQueryHandler() method

> Warning: This API is now obsolete.
>
> Import directly puppeteer.

**Signature:**

```typescript
class Puppeteer {
  unregisterCustomQueryHandler(name: string): void;
}
```

## Parameters

| Parameter | Type   | Description |
| --------- | ------ | ----------- |
| name      | string |             |

**Returns:**

void

## Example

```ts
import {unregisterCustomQueryHandler} from 'puppeteer';
```
